import QtQuick 2.1
import MixerGuiControls 1.0
import QtQuick.Window 2.0
import QtQuick.Controls 1.1
import GuiStyling 1.0
import Serialization 1.0

//import QtQuick 2.9
//import QtQuick.Window 2.2
//import QtQuick.Controls 2.2

Window {
    width: 640
    height: 480
    title: qsTr("qtbug49224: currentIndex %1").arg(horizontalListView.currentIndex)
    visible: true

    ListView {
        id: horizontalListView
        anchors.fill: parent
        orientation: Qt.Horizontal
        focus: true
        clip: true
        model: 40

        delegate: ListView {
            width: 200
            height: parent.height - 50
            clip: true
            model: 100

            property int outerIndex: index

            delegate: Rectangle {
                width: parent.width
                height: 30
                color: "#444"
                border.color: "white"

                Text {
                    text: outerIndex + ", " + index
                    color: "white"
                    anchors.centerIn: parent
                }
            }
        }

        Text {
            text: "Scroll horizontally here"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 14
        }
    }
}