import QtQuick 2.0
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.0

Item {
	implicitWidth: 16
	implicitHeight: 200
	property alias value: slider.value
	Rectangle {
		anchors.fill: parent
		gradient: Gradient {
			GradientStop { position: 1.0;  color: "#FF0000" }
			GradientStop { position: 0.85; color: "#FFFF00" }
			GradientStop { position: 0.76; color: "#00FF00" }
			GradientStop { position: 0.5;  color: "#00FFFF" }
			GradientStop { position: 0.33; color: "#0000FF" }
			GradientStop { position: 0.16; color: "#FF00FF" }
			GradientStop { position: 0.0;  color: "#FF0000" }
		}
		border.color: Qt.rgba(40/255, 40/255, 40/255)
	}
	Slider {
		id: slider
        activeFocusOnTab: false
		anchors.fill: parent
		orientation: Qt.Vertical
        maximumValue: 1
		style: SliderStyle {
			groove: Item {
				implicitHeight: 16
			}
			
			handle: Rectangle {
				implicitWidth: 10
				implicitHeight: 22
				border.color: "black"
				color: "transparent"
				Rectangle {
					anchors.fill: parent; anchors.margins: 1
					border.color: "white"
					color: "transparent"
                    Rectangle {
                        anchors.fill: parent; anchors.margins: 1
                        border.color: "black"
                        color: "transparent"
                    }
				}
			}	
		}
	}	
}


