import QtQml 2.0

QtObject
{	
	id: root
	property color backGroundColor: "black"
	property bool showBgColor: false
	property bool showSafeFrame: false
    property bool showHiddenObjects: false

	function save()
	{		
		var data = {
			showBgColor: root.showBgColor,
			backGroundColor: {
				r: root.backGroundColor.r,
				g: root.backGroundColor.g,
				b: root.backGroundColor.b,
				a: root.backGroundColor.a,
			},
            showSafeFrame: root.showSafeFrame,
            showHiddenObjects: root.showHiddenObjects,
		}
		return data
	}
	
	function load(config)
	{		
		root.showBgColor = config.showBgColor
		root.backGroundColor = Qt.rgba(config.backGroundColor.r, config.backGroundColor.g, config.backGroundColor.b, config.backGroundColor.a)
		root.showSafeFrame = config.showSafeFrame
        root.showHiddenObjects = config.showHiddenObjects || false
    }
}
