import QtQuick 2.4
import GuiControls 1.2

Item {
    id: root
    signal updated()
    property var objects: []
    Repeater {
        model: root.objects
        delegate: GraphicalObjectView {
            id: objectView
            object: root.objects[index]
            Connections {
                target: objectView.item
                onXChanged: root.updated()
                onYChanged: root.updated()
                onWidthChanged: root.updated()
                onHeightChanged: root.updated()
            }
        }
    }
}