import QtQuick 2.1
import GuiControls 1.0

Item
{
	id: root
	property real zoom: 1.0
	property color color: "white"
	property real borderWidth: 1
	property real indent: 0.1
	Rectangle {
        color: root.color
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
		anchors.rightMargin: root.width * root.indent
		anchors.leftMargin: root.width * root.indent
		anchors.topMargin: root.height * root.indent
		anchors.bottomMargin: root.height * root.indent		
        width: borderWidth        
    }
    Rectangle {
        color: root.color
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
		anchors.rightMargin: root.width * root.indent
		anchors.leftMargin: root.width * root.indent
		anchors.topMargin: root.height * root.indent
		anchors.bottomMargin: root.height * root.indent
        width: borderWidth
    }
    Rectangle {
        color: root.color
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
		anchors.rightMargin: root.width * root.indent
		anchors.leftMargin: root.width * root.indent
		anchors.topMargin: root.height * root.indent
		anchors.bottomMargin: root.height * root.indent
        height: borderWidth
    }
    Rectangle {
        color: root.color
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
		anchors.rightMargin: root.width * root.indent
		anchors.leftMargin: root.width * root.indent
		anchors.topMargin: root.height * root.indent
		anchors.bottomMargin: root.height * root.indent
        height: borderWidth
    }
}