import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "ChangeWithCut"
    //: Animate whithout any effects. Change state immediatly.
    name: qsTr("Change With Cut")
    property bool changed: false
    duration: 0

    function beforeStart() {
        changed = false
    }
    
    onTChanged: {
        if(t >= 0.5 && !changed) {
            changed = true
            target.updateDataFromSource()
        }
    } 
}