import QtQuick 2.1
import ".."

BaseAnimation {
    id: root
    type: "ChangeWithFade"
    name: qsTr("Change With Fade")
    property bool changed: false
    property real value0

    function beforeStart() {
        value0 = target.opacity
        changed = false
    }
    
    onTChanged: {
        target.opacity = value0 * Math.abs(1 - 2 * t)
        if(t >= 0.5 && !changed) {
            changed = true
            target.updateDataFromSource()
        }
    } 
}