import QtQuick 2.1
import ".."

BaseFade {
    id: root
    type: "Fade"
    name: qsTr("Fade")
    property real opacity: 100
    startValue: target.opacity
    finishValue: (originalState.opacity / 100) * opacity

    function fade_save() {
        var data = baseFade_save()
        data["opacity"] = opacity
        return data
    }
    
    function save() {
        return fade_save()
    }
    
    function fade_load(data) {
        baseFade_load(data)
        opacity = data.opacity
    }    
    
    function load(data) {
        fade_load(data)
    }      
    
}