import ".."

BaseMove {
    id: root  
    type: "Move" 
    name: qsTr("Move")
    property vector2d offset
    startValue: Qt.vector2d(target.x, target.y)
    finishValue: Qt.vector2d(originalState.x + offset.x, originalState.y + offset.y)

    function move_save() {
        var data = baseMove_save()
        data["offset"] = offset
        return data
    }
    
    function save() {
        return move_save()
    }
    
    function move_load(data) {
        baseMove_load(data)
        offset = data["offset"]
    }    
    
    function load(data) {
        move_load(data)
    }
}