import QtQuick 2.0
import ".."

Item {
    id: root
    property ShadowEffectSettings settings
    property Shape shape
    visible: settings.visible
    implicitWidth: glowEffectView.width
    implicitHeight: glowEffectView.height
    x: -glowEffectView.margins + settings.distance * Math.cos(settings.radialAngle * Math.PI / 180)
    y: -glowEffectView.margins + settings.distance * Math.sin(settings.radialAngle * Math.PI / 180)
    GlowEffectView {
        id: glowEffectView
        x: 0
        y: 0
        shape: root.shape
        settings: GlowEffectSettings {
            color: root.settings.color
            spread: root.settings.spread
            size: root.settings.size
            opacity: root.settings.opacity
            visible: true
        }
    }
}