import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.2

Button {
    id: root
    property real textSizeScale: 1.0
	property bool sunkenText: true
    property bool highlighted: false
	property url iconNormal
	property url iconChecked
    /*style: ButtonStyle {
        background: Rectangle {
            border.width: 1
            border.color: Qt.rgba(51/255, 53/255, 62/255)
            radius: 0
            color: {
                if(root.highlighted) return Qt.rgba(175/255, 182/255, 192/255)
                if(!control.enabled) return Qt.rgba(50/255, 50/255, 50/255)
                if(control.pressed || control.checked) return Qt.rgba(175/255, 182/255, 192/255)
                return Qt.rgba(121/255, 125/255, 136/255)
            }
			
			implicitWidth: imgRect.implicitWidth + 4
            implicitHeight: imgRect.implicitHeight + 4
        }        
    }*/
	Image
	{
		id: imgRect
		source: root.iconNormal
		anchors.centerIn: parent
		opacity: root.enabled ? 1.0 : 0.5
	}
	Image
	{
		source: root.iconChecked
		anchors.centerIn: parent
		visible: (root.pressed || root.checked)
		opacity: root.enabled ? 1.0 : 0.5
	}
	implicitWidth: imgRect.implicitWidth + 4
    implicitHeight: imgRect.implicitHeight + 4
}
