import QtQuick 2.1
import GuiStyling 1.0

PanelStyle {
    property var panelTheme: StyleManager.theme.panel
    property color backgroundColor: panelTheme.backgroundColor
    property color headerColor: panelTheme.headerColor
    property color borderColor: panelTheme.borderColor
    property color borderColor2: panelTheme.borderColor2
    property color textColor: panelTheme.textColor
    property url expanderImageUrl: (textColor.r + textColor.g + textColor.b) / 3 < 0.5 ? "expander_black.png" : "expander_white.png"
}
