import QtQuick.Controls 1.0
import Rpc 1.0
import "../"

PropertyItem {
    id: root
    property alias checked: checkBox.checked
    CheckBox {
        id: checkBox
        RpcBinding on checked {
            rpcTarget: root.object
            rpcProperty: root.property
            send: root.enabled
        }
        onClicked: root.propertyModified()
    }
}
