import QtQuick 2.1
import QtQuick.Controls 1.0
import Rpc 1.0
import "../"

PropertyItem {
    id: root
    hasLabel: false
    leftSpacing: 0
    rightSpacing: 0
    minimumControlHeight: 0
    property alias checked: checkBox.checked
    CheckBox {
        id: checkBox 
        style: root.propertyPanelStyle.headerCheckBoxStyle
        RpcBinding on checked {
            rpcTarget: root.object
            rpcProperty: root.property
            send: root.enabled
        }
        onClicked: root.propertyModified()
    }
}