import QtQuick 2.0

Item {
    id: root
    property real borderWidth: 3
    property color borderColor
    antialiasing: false
    Rectangle {
        id: side1
        color: "black"
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.margins: -root.borderWidth * 2
        width: root.borderWidth * 2
        antialiasing: root.antialiasing
    }
    Rectangle {
        id: side2
        color: "black"
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.margins: -root.borderWidth * 2
        width: root.borderWidth * 2
        antialiasing: root.antialiasing
    }
    Rectangle {
        id: side3
        color: "black"
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.margins: -root.borderWidth * 2
        height: root.borderWidth * 2
        antialiasing: root.antialiasing
    }
    Rectangle {
        id: side4
        color: "black"
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.margins: -root.borderWidth * 2
        height: root.borderWidth * 2
        antialiasing: root.antialiasing
    }
    Rectangle {
        anchors.fill: side1
        anchors.rightMargin: root.borderWidth
        color: root.borderColor
        antialiasing: root.antialiasing
    }    
    Rectangle {
        anchors.fill: side2
        anchors.leftMargin: root.borderWidth
        color: root.borderColor
        antialiasing: root.antialiasing
    }     
    Rectangle {
        anchors.fill: side3
        anchors.bottomMargin: root.borderWidth
        color: root.borderColor
        antialiasing: root.antialiasing
    }     
    Rectangle {
        anchors.fill: side4
        anchors.topMargin: root.borderWidth
        color: root.borderColor
        antialiasing: root.antialiasing
    }    
}