import QtQuick 2.0
import QtQuick.Controls 1.1
import QtQuick.Controls.Private 1.0

MouseArea {
    id: root
    hoverEnabled: true
    property string tooltip
    onExited: Tooltip.hideText()
    onCanceled: Tooltip.hideText()
    Timer {
        interval: 1000
        running: root.containsMouse
        onTriggered: if(tooltip) Tooltip.showText(root, Qt.point(root.mouseX, root.mouseY), root.tooltip)
    }                
}