import QtQuick 2.1

QtObject {
    id: root
    property QtObject base
    property int scrollBarWidth: 12
	property color backgroundColor:	base.midColor				       //   
	property color handleNormalColor: base.button.normalColor          //   	
	property color handlePressedColor: base.button.pressedColor
	property color handleHoveredColor: base.button.hoveredColor    
	property color handleDisabledColor: base.button.disabledColor
    
    property ButtonTheme button: ButtonTheme {
        base: root.base
        normalColor: base.button.normalColor
        pressedColor: base.button.pressedColor
        hoveredColor: base.button.hoveredColor
        disabledColor: base.button.disabledColor
        normalGradientType: base.button.normalGradientType
        normalColor2: base.button.normalColor2
        pressedGradientType: base.button.pressedGradientType
        pressedColor2: base.button.pressedColor2
        textColor: base.button.textColor
        pressedTextColor: base.button.pressedTextColor        
        disabledTextColor: base.button.disabledTextColor
        borderColor: base.button.borderColor
        disabledBorderColor: base.button.disabledBorderColor 
        borderWidth: base.button.borderWidth
        cornerRadius: base.button.cornerRadius    
    }    
    
}