import QtQuick 2.1
import "../"

Theme {

    font.pixelSize: 18
    font.family: "Courier"

    whiteColor:		"white"
    lightColor:		Qt.rgba(240/255, 240/255, 240/255)		
    midLightColor: Qt.rgba(200/255, 200/255, 200/255)
    midColor:	Qt.rgba(160/255, 160/255, 160/255)
    midDarkColor:	Qt.rgba(120/255, 120/255, 120/255)
    darkColor:		Qt.rgba(80/255,  80/255,  80/255)
    blackColor:		"black"
    property color promptColor:      "cornsilk"
    property int   borderWidth:   1
    
    borderColor: "blue"
    disabledBorderColor: "red"
    
    window {
        textColor: "blue"
        borderColor: "lightgray"
        borderWidth: 10
    }
    
    button {
        normalColor: "blue"
        normalColor2: "green"
        textColor: "yellow"
        hoveredColor: "orange"
        pressedColor: "white"
        pressedColor2: "black"        
        disabledColor: "pink"
        borderColor: "red"
        disabledBorderColor: "white"
        borderWidth: 2
        disabledTextColor: "white"
        pressedGradientType: "up"
        cornerRadius: 1
    }
    
    toolButton {
        borderWidth: 1
        normalGradientType: "up"
    }

    textEdit {
        backgroundColor: "yellow"
        backgroundColor2: "green"
        textColor: "red"
        highlightColor: "orange"
        highlightedTextColor: "black"
        disabledTextColor: "red"
    }
    
    slider {
        grooveColor: "orange"
        handleColor: "green"
    }
    
    scroll {
        backgroundColor: "green"
        handleNormalColor: "blue"
        handlePressedColor: "pink"
        handleHoveredColor: "orange"
        handleDisabledColor: "white"
        button {
            normalGradientType: "up"
            borderWidth: 1
        }
    }
    
    header {
        normalColor: "red"
        disabledColor: "blue"
        hoveredColor: "green"
        pressedColor: "orange"
        textColor: "white"
        disabledTextColor: "orange"       
    }
    
    panel {
        backgroundColor: "orange"	
        headerColor: "red"
        borderColor: "white"
        borderColor2: "blue"
        textColor: "yellow"
    }
    
    collapsiblePanel {
        headerColor: "blue"
        headerColor2: "darkblue"
        textColor: "yellow"
    }
}