import QtQuick 2.0
import MixerGuiControls 1.0

Item {
    id: root
    implicitWidth: background.implicitWidth
    implicitHeight: background.implicitHeight
    property alias text: label.text
    property alias colorType: label.colorType
    StyledImage {
        id: background
        anchors.fill: parent
        desc: MixerThemeManager.theme.imgClockDigitalBgnd
    }
    MixerLabel {
        id: label
        anchors.centerIn: parent
        colorType: "program"
        font.pixelSize: MixerThemeManager.theme.buttonTextFontSize
    }
    StyledImage {
        anchors.fill: parent
        anchors.rightMargin: parent.width * 0.1
        desc: MixerThemeManager.theme.imgClockDigitalFront
    }    
}
