function secondsToString(t, length) {
	var hours = Math.floor(t / 3600);
	var minutes = Math.floor((t - (hours * 3600)) / 60);
	var seconds = Math.floor(t - (hours * 3600) - (minutes * 60));
	if(minutes < 10) minutes = "0" + minutes;
	if(seconds < 10) seconds = "0" + seconds;
	var str = (hours > 0 ? hours + ':' : "") + minutes + ':' + seconds;
    if(!length) return str
    if(length > 8) length = 8
    if(str.length == 5) str = "00:" + str
    else str = "0" + str
    return str.substr(str.length - length, length)
}	

function millisecondsToString(t, length) {
    return secondsToString(t / 1000, length)
}