import QtQuick 2.1
import MixerGuiControls 1.0

StyledImage {
    property bool turnedOn: true
    property string lightColor: "preset"   // "preset", "program"
    desc: {
        if(lightColor == "preset" && turnedOn) return MixerThemeManager.theme.imgLampOnPreview
        if(lightColor == "program" && turnedOn) return MixerThemeManager.theme.imgLampOnProgram
        return MixerThemeManager.theme.imgLampOff
    }
}