import QtQuick 2.1
import MixerGuiControls 1.0
import QtGraphicalEffects 1.0

Item {
    id: root
    property alias brightness: effect.brightness
    StyledImage {
        id: image
        anchors.centerIn: parent
        width: Math.max(implicitWidth, root.width)
        height: Math.max(implicitHeight, root.height)
        desc: MixerThemeManager.theme.imgAppBgnd
        fillMode: Image.PreserveAspectCrop
    }
     BrightnessContrast {
        id: effect
        anchors.fill: image
        source: image
        brightness: 0
        //contrast: 0.5
    }
}
