import QtQuick 2.1
import MixerGuiControls 1.0

MixerDialog {
    id: root
    property string caption: ""
    
    signal yes()
    signal no()
    signal rejected()
    
    MixerLabel {
        text: root.caption
    }
    buttons: [qsTr("Yes"), qsTr("No"), qsTr("Cancel")]
    onButtonClicked: {
        if(buttonIndex == 0) yes()
        else if(buttonIndex == 1) no()
        else rejected()
        hide()
    }
    onClosing: rejected()
}