import QtQuick 2.1
import GuiControls 1.0
import QtQuick.Controls.Styles 1.1
import MixerGuiControls 1.0

PropertyPanel {
    id: root
    property alias transpBgnd: panelStyle.transpBgnd
    spacing: 2
    groupOffsetSize: MixerThemeManager.theme.propertyHeaderOffsetX
    itemLeftSpacing: MixerThemeManager.theme.propertyListMargins[0]  
    groupTopSpacing: MixerThemeManager.theme.propertyListMargins[1]
    itemRightSpacing: MixerThemeManager.theme.propertyListMargins[2]
    groupBottomSpacing: MixerThemeManager.theme.propertyListMargins[3]
    minimumControlHeight: MixerThemeManager.theme.propertyListStep
    columnRatio: MixerThemeManager.theme.propertyListColumnRatio
    style: MixerPropertyPanelStyle { id: panelStyle    }
}
