import QtQuick 2.1
import QtQuick.Controls.Styles 1.1
import MixerGuiControls 1.0

ScrollViewStyle {
    padding {
        left: control.frameVisible ? 2 : 0
        top: control.frameVisible ? 2 : 0 
        right: control.frameVisible ? 2 : 0 
        bottom: control.frameVisible ? 2 : 0
    }
    __externalScrollBars: true
    __scrollBarSpacing: 0
    
    scrollBarBackground: StyledImage {
        desc: MixerThemeManager.theme.imgThinScrollerBgnd
    }
    handle: StyledImage {
        desc: styleData.horizontal ? MixerThemeManager.theme.imgThinScrollerThumbHor : MixerThemeManager.theme.imgThinScrollerThumbVert
    }
    
    frame: Item {
        visible: control.frameVisible
        OutputBackground {
            anchors.fill: parent
        }
    }
    corner: Item {}
    incrementControl: Item {}
    decrementControl: Item {}
}
