import QtQuick 2.0
import MixerGuiControls 1.0

MixerLabel {
    anchors.fill: parent
    anchors.leftMargin: styleData.textAlignment == Text.AlignLeft ? 8 : 0
    anchors.rightMargin: styleData.textAlignment == Text.AlignRight ? 12 : 0
    text: styleData.value
    verticalAlignment: Text.AlignVCenter
    horizontalAlignment: styleData.textAlignment
    colorType: styleData.selected ? "common" : "neutral"
    font.pixelSize: MixerThemeManager.theme.systemFontSize 
}