import QtQuick 2.1
import MixerGuiControls 1.0

Item {
    id: root
    property string colorType: "neutral"    // "neutral", "preset", "program"
    property int borderWidth: MixerThemeManager.theme.higlightFrameWidth
    Rectangle {
        anchors.fill: parent
        color: "transparent"
        border.width: root.borderWidth
        border.color:  {
            if(colorType == "neutral") return "transparent"
            return MixerThemeManager.theme.colSelected[colorType] || colorType
        }    
        visible: colorType != "neutral"
    }
}