import QtQuick 2.1
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

Separator {
    readonly property int toolbarOrientation: parent && parent.hasOwnProperty("_toolbarOrientation") ? parent._toolbarOrientation : Qt.Horizontal
    orientation: toolbarOrientation == Qt.Horizontal ? Qt.Vertical : Qt.Horizontal
    Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
    
    readonly property real _w: MixerThemeManager.theme.toolbarGroupSpaсing - MixerThemeManager.theme.toolbarButtonSpacing * 2
    readonly property real _h: MixerThemeManager.theme.toolbarButtonSize * 0.7
    implicitWidth: orientation == Qt.Vertical ? _w : _h
    implicitHeight: orientation == Qt.Vertical ? _h : _w
}