import QtQuick 2.2

Item {
    id: root
    property string source
    property color color
    implicitWidth: image.implicitWidth
    implicitHeight: image.implicitHeight
    readonly property string iconFolder: (color.r + color.g + color.b) / 3 < 0.5 ? "icons/black/" : "icons/white/" 
    
    Image {
        id: image
        source: iconFolder + root.source
    }
}