import QtQuick 2.2
import QtQuick.Controls.Styles 1.2
import QtQuick.Controls.Private 1.0
import GuiStyling 1.0

MenuBarStyle {
	readonly property color __backgroundColor: Qt.rgba(115/255, 122/255, 132/255)
	background: Rectangle {
		color: __backgroundColor
	}
	
	itemDelegate: Text {
		text: " " + formatMnemonic(styleData.text, true) + " "
		color: styleData.selected ? Qt.rgba(20/255, 20/255, 20/255) : "white"
		font: StyleManager.theme.font
	}
	
	padding.bottom: 5
	padding.top: 2
}
