import QtQuick 2.0

Item {
    property real aspect: 1.0
    function calcRect() {
        var x, y, w, h
        if(aspect > parent.width/parent.height) {
            h = parent.width / aspect
            y = parent.height/2 - h/2
            w = parent.width
            x = 0
        }
        else {
            h = parent.height
            y = 0
            w = aspect * parent.height
            x = parent.width/2 - w/2
        }
        return Qt.rect(x, y, w, h)
    }
    x: calcRect().x
    y: calcRect().y
    width: calcRect().width
    height: calcRect().height
}
