import MixerGuiControls 1.0

MixerComboBox {
    id: root
    property url source: ""
    property bool archived: false

    model: (archived ? availableVideos : (availableMedias && availableMedias.data)) || []
    textRole: "name"

    onCurrentIndexChanged: source = model[currentIndex] ? model[currentIndex].source : ""
    onCountChanged: source = model[currentIndex] ? model[currentIndex].source : ""
    
    onSourceChanged: {
        for(var i = 0; i < model.length; i++) if (source == model[i].source) {
            currentIndex = i; displayText = model[i][textRole]; return
        }
        currentIndex = -1
    }
    
}
