import QtQuick 2.0
import QtQuick.Controls 1.0

import GuiControls 1.0

EnumProperty {
    label: qsTr("Source")
    property: "source"
    values: {
        var result = []
        if (!availableMedias || !availableMedias.data || !availableMedias.data.length) return result
        for (var i = 0; i < availableMedias.data.length; ++i) {
            result.push(availableMedias.data[i].source)
        }
        return result
    }
    strings: {
        var result = []
        if (!availableMedias || !availableMedias.data || !availableMedias.data.length) return result
        for (var i = 0; i < availableMedias.data.length; ++i) {
            result.push(availableMedias.data[i].name)
        }
        return result
    }
}
