import QtQuick 2.0
import Multimedia 1.0
import "../../common/utils"

Object {
    property alias name: textureReceiver.name
    readonly property QtObject texture: textureReceiver

    function getRect(name) {
        if(!textureReceiver.attachedData) return Qt.rect(0, 0, 0, 0)
        return textureReceiver.attachedData[name] || Qt.rect(0, 0, 0, 0)
    }
    
    TextureSharingReceiver {
        id: textureReceiver
    }
}
