import QtQuick 2.0

Item {
    property rect rect
    signal leftButtonClicked()
    
    x: parent ? rect.x * parent.width : 0
    y: parent ? rect.y * parent.height : 0
    width: parent ? rect.width * parent.width : 0
    height: parent ? rect.height * parent.height : 0
    Rectangle {
        anchors.fill: parent
        color: "gray"
        border.color: "black"
    }
    MouseArea {
        anchors.fill: parent
        acceptedButtons: Qt.LeftButton
        onClicked: leftButtonClicked()
    }
}