import QtQuick 2.0
import QtQuickUtils 1.0
import GuiControls 1.0

import "../../common/utils"

FillModeItem {
    id: root
    implicitWidth: textureView.implicitWidth
    implicitHeight: textureView.implicitHeight
    aspect: implicitHeight ? implicitWidth/implicitHeight : 0
    property QtObject stream

    VideoStreamAtlasElement {
        anchors.fill: parent
        stream: root.stream
        fillMode: Image.PreserveAspectFit
    }

    TextureView {
        id: textureView
        anchors.fill: parent
        source: previewAtlasReceiver.texture
        sourceRect: previewAtlasReceiver.getRect(root.stream ? root.stream.name : "")
    }
}
