import QtQuick 2.0
import QtQuick.Layouts 1.0
import QtQuick.Controls 1.0
import MixerGuiControls 1.0

MixerDialog {
    id: root
    title: qsTr("MosaicRecorder")
    width: 560
    property alias text: label.text
    property var callback
    
    MixerLabel {
        id: label
    }
    
    buttons: [qsTr("Yes"), qsTr("No")]
    
    onButtonClicked: {
        if(button == qsTr("Yes")) {
            if(callback) callback()
        }
        text = ""
        callback = null        
    }
    onVisibleChanged: {
        if(!visible) {
            text = ""
            callback = null
        }
    }
}