pragma Singleton
import QtQml 2.0
import Multimedia.FDExt 1.0

QtObject {
    id: root
    function getFdInputByUrl(url) {
        var name = url.toString().replace("fd:///", "")
        for(var i = 0; i < FD.inputs.length; i++) {
            if(FD.inputs[i].name == name) return FD.inputs[i]
        }
        return null
    }
    
    function getFdBoardByUrl(url) {
        var name = url.toString().replace("fdboard:///", "")
        for(var i = 0; i < FD.boards.length; i++) {
            if(FD.boards[i].name == name) return FD.boards[i]
        }
        return null
    }
}