import QtQuick 2.0
import Multimedia 1.0

Item {
    id: root
    property url source
    implicitWidth: videoView.implicitWidth
    implicitHeight: videoView.implicitHeight
    readonly property alias frameTime: videoView.frameTime

    readonly property var player: {
        if (!archivePlayer.archive) return null
        var playerIndex = archivePlayer.archive.recordingSettings.getVideoIndex(root.source)
        return archivePlayer.players[playerIndex]
    }

    //onPlayerChanged: p('ArchivedVideoStreamRenderer.qml player '+root.source,player,5)

    VideoView {
        id: videoView
        anchors.fill: parent
        source: player && player.sink || null 
    }
}
