import QtQuick 2.1
import GuiStyling 1.0

CollapsiblePanelStyle {
    property var collapsiblePanelTheme: StyleManager.theme.collapsiblePanel
    headerColor: collapsiblePanelTheme.headerColor
    headerColor2: collapsiblePanelTheme.headerColor2
    textColor: collapsiblePanelTheme.textColor
    disabledTextColor: collapsiblePanelTheme.disabledTextColor
    cornerRadius: collapsiblePanelTheme.cornerRadius
    expanderImageUrl: (textColor.r + textColor.g + textColor.b) / 3 < 0.5 ? "expander_black.png" : "expander_white.png"
}
