import QtQuick 2.1
import QtQuick.Controls 1.2
import QtQuick.Controls.Styles 1.1

TextField {
    id: root
	property alias hoveredTextColor: label.hoveredTextColor
    property alias underlineOnHovering: label.underlineOnHovering
    readonly property real textHorizontalOffset: label.x
	Binding {
		target: __panel
		property: "visible"
		value: root.activeFocus
	}
	Binding {
		target: children[3]
		property: "opacity"
		value: root.activeFocus ? 1.0 : 0.0
	}   
    HyperLinkLabel
    {
        id: label
        text: root.displayText
        //anchors.fill: root.children[2]
        property var item: root.children[2]
        width: item.width
        anchors.left: item.left
        anchors.verticalCenter: parent.verticalCenter
        visible: !root.activeFocus
        clickable: false
    }
	onEditingFinished: focus = false
}
