import QtQuick 2.0
import GuiControls 1.2

Item {
    id: root
    property GraphicalScene scene
    property real zoom: 1.0
    property bool inEditor: false
    
    clip: true

    Repeater {
        model: scene ? scene.getChildren() : null
        delegate: GraphicalObjectView {
            object: scene.getChildren()[index]
        }
    }
}