import QtQml 2.0

QtObject
{
	property string font: "Tahoma"
	property int pointSize: 70
	property int letterSpacing: 0
	property int wordSpacing: 0
	property real lineHeight: 100
	property real xScale: 100
	property bool italic: false
	property bool bold: false
	property bool fitText: false
	property bool wordWrap: false
	property string horizontalAlignment: "AlignLeft"
	property string verticalAlignment : "AlignTop"
	
	function save()
	{
		var data = {};
		data["font"] = font;
		data["pointSize"] = pointSize;
		data["letterSpacing"] = letterSpacing;
		data["wordSpacing"] = wordSpacing;
		data["lineHeight"] = lineHeight;
		data["xScale"] = xScale;
		data["italic"] = italic;
		data["bold"] = bold;
		data["fitText"] = fitText;
		data["wordWrap"] = wordWrap;
		data["horizontalAlignment"] = horizontalAlignment;
		data["verticalAlignment"] = verticalAlignment;
		return data;
	}

	function load(data)
	{
		font = data.font;
		pointSize = data.pointSize;
		letterSpacing = data.letterSpacing;
		wordSpacing = data.wordSpacing;
		lineHeight = data.lineHeight;
		xScale = data.xScale;
		italic = data.italic;
		bold = data.bold;
		fitText = data.fitText;
		wordWrap = data.wordWrap;
		horizontalAlignment = data.horizontalAlignment;
		verticalAlignment = data.verticalAlignment;
	}
}
