import ".."

BaseResize {
    id: root  
    type: "Resize"
    name: qsTr("Resize")
    property vector2d offset
    startValue: Qt.vector2d(target.width, target.height)
    finishValue: Qt.vector2d(originalState.width + offset.x, originalState.height + offset.y)

    function resize_save() {
        var data = baseResize_save()
        data["offsetSize"] = offset
        return data
    }
    
    function save() {
        return resize_save()
    }
    
    function resize_load(data) {
        baseResize_load(data)
        offset = data["offsetSize"]
    }    
    
    function load(data) {
        resize_load(data)
    }
}
