import ".."

BaseScale {
    id: root  
    type: "Scale" 
    name: qsTr("Scale")
    property vector2d scale: Qt.vector2d(100, 100)    
    startValue: Qt.vector2d(target.scaleX, target.scaleY)
    finishValue: Qt.vector2d((originalState.scaleX / 100) * scale.x, (originalState.scaleY / 100) * scale.y)
    
    function scale_save() {
        var data = baseScale_save()
        data["scale"] = scale
        return data
    }
    
    function save() {
        return scale_save()
    }
    
    function scale_load(data) {
        baseScale_load(data)
        scale = data.scale
    }
    
    function load(data) {
        scale_load(data)
    }      
    
}