import ".."

BaseScale {
    id: root
    type: "ScaleIn" 
    name: qsTr("Scale In")
    property string axis: "XY"  // "X", "Y", "XY"
    startValue: Qt.vector2d(axis == "Y" ? target.scaleX : 0, axis == "X" ? target.scaleY : 0)
    finishValue: Qt.vector2d(originalState.scaleX, originalState.scaleY)
    
    function scaleIn_save() {
        var data = baseScale_save()
        data["axis"] = axis
        return data
    }
    
    function save() {
        return scaleIn_save()
    }
    
    function scaleIn_load(data) {
        baseScale_load(data)
        axis = data.axis 
    }    
    
    function load(data) {
        scaleIn_load(data)
    }        
    
}