import ".."

BaseScale {
    id: root  
    type: "ScaleOut" 
    name: qsTr("Scale Out")
    property string axis: "XY"  // "X", "Y", "XY"
    startValue: Qt.vector2d(target.scaleX, target.scaleY)
    finishValue: Qt.vector2d(axis == "Y" ? target.scaleX : 0, axis == "X" ? target.scaleY : 0) 

    function scaleOut_save() {
        var data = baseScale_save()
        data["axis"] = axis
        return data
    }
    
    function save() {
        return scaleOut_save()
    }
    
    function scaleOut_load(data) {
        baseScale_load(data)
        axis = data.axis 
    }    
    
    function load(data) {
        scaleOut_load(data)
    }      
    
}