import QtQml 2.0

QtObject
{
    id: root
    readonly property string name: "Glow"
    property real spread: 50
    property real size: 50
    property color color: "#FFFFC8"
    property real opacity: 75
    property bool visible: false
    
    function save()
    {
        var settings = {};
        settings["name"] = name;
        settings["spread"] = spread;
        settings["size"] = size;
        settings["opacity"] = opacity;
        settings["color"] = color;
        settings["visible"] = visible;
        return settings;
    }
    
    function load(data)
    {
        spread = data.spread;
        size = data.size;
        opacity = data.opacity;
        color = data.color;
        visible = data.visible;
    }
}