import QtQml 2.0

QtObject
{
    id: root
    readonly property string name: "Sheen"
    property bool perLetter: false
    property real size: 20
    property real offset: 0
    property real angle: 135
    property color color: "yellow"
    property real opacity: 75
    property bool visible: false
    
    function save()
    {
        var settings = {};
        settings["name"] = name;
        settings["perLetter"] = perLetter;
        settings["offset"] = offset;
        settings["angle"] = angle;
        settings["color"] = color;
        settings["size"] = size;
        settings["opacity"] = opacity;
        settings["visible"] = visible;
        return settings;
    }
    
    function load(data)
    {
        perLetter = data.perLetter;
        offset = data.offset;
        angle = data.angle;
        color = data.color;
        size = data.size;
        opacity = data.opacity;
        visible = data.visible;
    }
}