import QtQml 2.0

QtObject
{
    id: root
    readonly property string name: "TextureMapping"
    property real opacity: 100
    property url texture
    property bool perLetter: false
    property int imageX: 0
    property int imageY: 0
    property real xScale: 100
    property real yScale: 100
    property bool visible: false
    
    function save()
    {
        var settings = {};
        settings["name"] = name;
        settings["texture"] = texture;
        settings["perLetter"] = perLetter;
        settings["imageX"] = imageX;
        settings["imageY"] = imageY;
        settings["xScale"] = xScale;
        settings["yScale"] = yScale;
        settings["opacity"] = opacity;
        settings["visible"] = visible;
        return settings;
    }
    
    property url __emptyUrl
    function load(data)
    {
        texture = data.texture || __emptyUrl;
        perLetter = data.perLetter;
        imageX = data.imageX;
        imageY = data.imageY;
        xScale = data.xScale;
        yScale = data.yScale;
        opacity = data.opacity;
        visible = data.visible;
    }
}