import QtQml 2.2

QtObject {
    property string name
    property size visualContentSize
    property Component visualContent
    readonly property string fullName: name
    function mixerMediaSource_save() {
        return {name:name}
    }
    
    function mixerMediaSource_load(data) {
        name = !data.type || data.type=='Input' || data.type=='Output' ? data.name || "" : (data.type+':///'+data.index) 
        name = name.replace('PIP:///','Pip:///')
    }
    
    function save() {
        return mixerMediaSource_save()
    }
    
    function load(data) {
        mixerMediaSource_load(data)
    }
}


