import QtQuick 2.1
import QtQuick.Controls 1.1
import GuiControls 1.0

QtObject {
    id: root
    property int scrollBarSpacing: 0
    property Component background: Item {}
    property Component scrollViewStyle: _dummyScrollView.style
    property Component collapsiblePanelStyle: _dummyCollapsiblePanel.style
    property Component headerCheckBoxStyle: _dummyCheckBox.style
    property Component toolButtonStyle: _dummyToolButton.style
    
    property CollapsiblePanel _dummyCollapsiblePanel: CollapsiblePanel {}
    property CheckBox _dummyCheckBox: CheckBox {}
    property ScrollView _dummyScrollView: ScrollView {}
    property Button _dummyToolButton: ToolButton {}
}
