import QtQml 2.2

QtObject {
    id: root
    property bool horizontalFlip: false
    property bool verticalFlip: false
	property real rotation: 0

    function save() {
        return {
            rotation: rotation,
            horizontalFlip: horizontalFlip,
            verticalFlip: verticalFlip
        }
    }
    function load(data) {
        rotation = data.rotation || 0
        horizontalFlip = data.horizontalFlip
        verticalFlip = data.verticalFlip
    }    
    
}
