import QtQuick 2.1
import GuiControls 1.0
import MixerGuiControls 1.0

MixerDialog {
    id: root
    signal accepted()
    signal rejected()
    
    CustomColorDialogContent {
        id: content
    }
    
    buttons: [qsTr("OK"), qsTr("Cancel")]
    onButtonClicked: {
        if(buttonIndex == 0) {
            content.color = content.currentColor
            accepted()
        } else {
            rejected()
        }
        hide()
    }
    onClosing: rejected()
    onOpened: content.currentColor = content.color
    onContentReceivedFocus: content.setFocusToControls()
}