import QtQuick 2.0
import MixerGuiControls 1.0

Item {
    id: root
    property string text
    property string colorType: "neutral"    // "neutral", "preset", "program"
    implicitWidth: label.implicitWidth
    implicitHeight: MixerThemeManager.theme.footerHeight
    
    MixerLabel {
        id: label
        anchors.verticalCenter: parent.verticalCenter
        width: parent.width
        text: root.text
        colorType: root.colorType
        font.pixelSize: MixerThemeManager.theme.footerFontSize
    }
}