import QtQuick 2.0
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

Item {
    id: root
    property string text
    implicitWidth: layout.implicitWidth
    implicitHeight: layout.implicitHeight
    
    ColumnLayout {
        id: layout
        anchors.fill: parent
        spacing: 8
        Repeater {
            id: r
            model: root.text.split(" ")
            MixerLabel {
                text: {
                    var result = ""
                    for(var i = 0; i < modelData.length; i++) {
                        result += modelData[i]
                        if(i != modelData.length - 1) result += "\n"
                    }
                    return result
                }
                Layout.alignment: Qt.AlignHCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }
        Item {
            Layout.fillHeight: true
        }
    }
}