import QtQuick 2.0
import QtQuick.Controls 1.4
import MixerGuiControls 1.0

TreeView {
    id: root
    frameVisible: false
    style: MixerTreeViewStyle {}
    contentFooter: Item {
        height: 5
    }
    Binding { // HACK: хотим сделать отсуп сверху, для этого стоит использовать contentHeader, но в Qt5.8 он сломан, поэтому добавляем отсуп в header
        target: root.__listView.headerItem
        property: "height"
        value: {
            var headerItem = root.__listView.headerItem
            return (headerItem && headerItem.visible ? headerItem.headerRow.height : 0) + 2
        }
    }    
}