import QtQuick 2.1
import MixerGuiControls 1.0

Item {
    default property alias data: content.data
    implicitWidth: content.implicitWidth + content.anchors.leftMargin + content.anchors.rightMargin
    implicitHeight: content.implicitHeight + content.anchors.topMargin + content.anchors.bottomMargin
    property bool hide: false

    StyledImage {
        desc: MixerThemeManager.theme.imgOutputBgnd
        anchors.fill: parent
        visible: !hide
    }
    Item {
        id: content
        implicitWidth: children.length == 1 ? children[0].implicitWidth : 0
        implicitHeight: children.length == 1 ? children[0].implicitHeight : 0        
        anchors.fill: parent
        anchors.leftMargin: MixerThemeManager.theme.higlightFrameWidth - 1
        anchors.topMargin: MixerThemeManager.theme.higlightFrameWidth - 1
        anchors.rightMargin: MixerThemeManager.theme.higlightFrameWidth
        anchors.bottomMargin: MixerThemeManager.theme.higlightFrameWidth        
    }    
}
