import QtQuick 2.1
import MixerGuiControls 1.0

Item {
    id: root
    property int orientation: Qt.Horizontal
    property int margin: 0
    implicitWidth:  orientation == Qt.Horizontal ? 0 : image.implicitWidth
    implicitHeight: orientation == Qt.Vertical   ? 0 : image.implicitHeight
    clip: false
    StyledImage {
        id: image
        desc: orientation == Qt.Horizontal ? MixerThemeManager.theme.imgSeparatorHor : MixerThemeManager.theme.imgSeparatorVert
        anchors.centerIn: parent
        width:  orientation == Qt.Horizontal ? root.width - margin*2 :  implicitWidth
        height: orientation == Qt.Vertical ?   root.height- margin*2 :  implicitHeight
    }
}
