import QtQuick 2.1
import QtQuick.Layouts 1.1
import MixerGuiControls 1.0

RowLayout {
    id: root
    property int intervalCount: 10
    spacing: 0
    Repeater {
        model: root.intervalCount
        Item {
            Layout.fillWidth: true
            Layout.fillHeight: true
            StyledImage {
                desc: MixerThemeManager.theme.imgSliderScaleTick
                x: -width * 0.5
                y: -height * 0.5
            }
            StyledImage {
                desc: MixerThemeManager.theme.imgSliderScaleTick
                x: parent.width - width * 0.5
                y: -height * 0.5
                visible: model.index == root.intervalCount - 1
            }
            StyledImage {
                desc: MixerThemeManager.theme.imgSliderScaleTick
                x: -width * 0.5
                y: parent.height - height * 0.5
            }
            StyledImage {
                desc: MixerThemeManager.theme.imgSliderScaleTick
                x: parent.width - width * 0.5
                y: parent.height - height * 0.5
                visible: model.index == root.intervalCount - 1
            }  
        }
    }  
}