import QtQuick 2.0
import QtQuick.Layouts 1.0

import GuiControls 1.0

EnumProperty {
    property var tracks: []
   
    values: tracks ? tracks : []
    strings: tracks ? tracks.map(function(t) { return t.toString() }) : []
    
    findItemFunction: function(v) {
        if (!tracks || !tracks.length) return -1
        var index = tracks.indexOf(v)
        if (index < 0) index = 0
        return index
    }
}
