import QtQuick 2.0
import QtAVExtra 1.0
import QtAV 1.7

Item {
    id: root
    property alias source: player.source
    property alias hardwareDecoding: player.hardwareDecoding
    implicitWidth: player.resolution.width
    implicitHeight: player.resolution.height    
    NetworkStreamPlayer {
        id: player
        output: output
    }
    VideoOutput2 {
        id: output
        anchors.fill: parent
        fillMode: VideoOutput2.Stretch
    }
}
