import QtQuick 2.2
import QtQuick.Controls 1.2
import QtQuick.Controls.Private 1.0

Text {
    id: label
    property Component style: Qt.createComponent(Settings.style + "/LabelStyle.qml", label)
    property QtObject _style: styleLoader.item
    
    Loader {
        id: styleLoader
        sourceComponent: style
        //onLoaded: { item.control = label }
    }

    font: _style.font
    color: _style.color
    activeFocusOnTab: false
    elide: Text.ElideRight
    renderType: Text.QtRendering
		Accessible.name: text
    Accessible.role: Accessible.StaticText
}
