import QtQuick 2.2

Rectangle {
    property bool focused
    property bool enabled   
    property color backgroundColor
    property real cornerRadius
    property color borderColor
    property color disabledBorderColor   
    property color focusedBorderColor   
    property int borderWidth
    
    color: backgroundColor
    radius: cornerRadius
    border.color: !enabled ? disabledBorderColor : (focused ? focusedBorderColor : borderColor)
    border.width: borderWidth
}