import QtQuick 2.1

Item {
    id: root
    property size contentSize: Qt.size(100, 100)
    default property alias contentData: content.data
    Item {
        id: content
        width: root.contentSize.width
        height: root.contentSize.height
        transform: Scale {
            id: scale
            xScale: root.width / root.contentSize.width
            yScale: root.height / root.contentSize.height
        }
    }
}
