import QtQuick.Controls 1.0

import GuiControls 1.0
import Multimedia.FDExt 1.0
import Serialization 1.0

EnumProperty {
    label: qsTr("Source")
    property: "source"
    values: {
        var result = []
        if (!FD.inputs || !FD.inputs.length) return result
        for (var i = 0; i < FD.inputs.length; ++i) {
            result.push(Serialization.stringToUrl("fd:///" + encodeURIComponent(FD.inputs[i].name)))
        }
        return result
    }
    strings: {
        var result = []
        if (!FD.inputs || !FD.inputs.length) return result
        for (var i = 0; i < FD.inputs.length; ++i) {
            result.push(FD.inputs[i].name)
        }
        return result
    }
}
