import QtQuick 2.1
import QtQuick.Layouts 1.1
import QtQuick.Window 2.0
import QtQuick.Controls 1.1
import MixerGuiControls 1.0
import GuiControls 1.0
import QtQuickUtils 1.0

MixerWindow {
    id: root
    //visible: true
    property var parent: mainWindow

    modality: Qt.ApplicationModal
    title: qsTr("Preview")
    minimumWidth: Screen.width/10
    minimumHeight: Screen.height/10

    width : parent.width *0.75
    height: parent.height*0.75
    x: parent.x + parent.width/2 - width/2
    y: parent.y + parent.height/2 - height/2

    MouseArea {
      anchors.fill: parent
      acceptedButtons: Qt.LeftButton | Qt.RightButton
      onPressed: root.close()
    }
}
