import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Controls.Styles 1.2
import QtQuick.Layouts 1.0

Item {
  id: root
  property var title: ''
  default property alias data: content.data

  Rectangle {
    anchors.fill: parent
    border.color: "#606060"
    border.width: 2
    color: '#404040'
  }

  Text {
    x:14; y:4
    font.pixelSize: fontSize+1
    text: root.title
    color: colNeutral
  }

  Rectangle {
    anchors.fill: parent
    anchors.margins: 8
    anchors.topMargin: 24
    color: '#101010'
    Item {
        id: content
        anchors.fill: parent
    }
  }
}