import QtQuick 2.0
import QtQuickUtils 1.0
import "../../common/utils"

Item {
    id: root
    Rectangle {
        id: content
        anchors.fill: parent
        color: Qt.rgba(85 / 255, 85 / 255, 85 / 255)
    }

    ShaderEffect {
        anchors.fill: parent
        property ShaderEffectSource source: videoStreamAtlas.mosaicElement
    }

    TextureView {
        anchors.fill: parent
        source: previewAtlasReceiver.texture
        sourceRect: previewAtlasReceiver.getRect("!@output")
    }
    
    Binding {
        target: previewAtlasSender
        property: "requestedOutputSize"
        value: Qt.size(root.width, root.height)
    }
}
