function secondsToString(t) {
	if (!t) t = 0
	var hours = Math.floor(t / 3600)
	var minutes = Math.floor((t - (hours * 3600)) / 60)
	var seconds = Math.floor(t - (hours * 3600) - (minutes * 60))
    if(hours < 10) hours = "0" + hours
	if(minutes < 10) minutes = "0" + minutes
	if(seconds < 10) seconds = "0" + seconds
	return hours + ':' + minutes + ':' + seconds
}	

function millisecondsToString(t, decimals) {
    if (!t) t = 0
    var result = secondsToString(t / 1000)
    if(decimals > 0) result += ((t % 1000) / 1000).toFixed(decimals).substr(1)
    return result
}