import QtQuick 2.0
import Multimedia 1.0

Object {
    id: root
    signal recreate()
    property real lastTime: 0
    
    property real smallDelay: 100
    property real bigDelay: 5000
    property real threshold: 5000
    
    function request() {
        if(timer.running) return
        timer.interval = Date.now() - lastTime > threshold ? smallDelay : bigDelay
        timer.restart()
    }
    
    Timer {
        id: timer
        onTriggered: {
            recreate()
            lastTime = Date.now()
        }
    }
}