import QtQuick 2.0
import "../../common/utils"

Object {
    property string type
    property bool visible: true
    property color color: "white"
    
    function save() {
        return {
            type: type,
            visible: visible,
            color: color
        }
    }

    function load(data) {
        type = data.type || ""
        visible = data.visible || false
        color = data.color || "white"
    }
}
