import QtQuick 2.0
import "../../common/utils"

QtObject {
    id: root
    property url source
    property string name
    property string deviceType
    property variant videoType

    function save() {
        return {
            source: source,
            videoType: videoType
        }
        // остальное сохранять нет большого смысла, всё равно список медий определяется на основе списка девайсов
    }

    function load(data) {
        if (!data) return
        source = data.source || ""
        videoType = data.videoType
    }
}
