import QtQuick 2.0
import Multimedia 1.0

Item {
    id: root
    property Media media
    readonly property size textureSize: Qt.size(media && media.aspect ? videoView.implicitHeight * media.aspect : videoView.implicitWidth, videoView.implicitHeight)
    readonly property alias frameTime: videoView.frameTime
    implicitWidth: textureSize.width
    implicitHeight: textureSize.height
    VideoView {
        id: videoView
        anchors.fill: parent
        source: root.media ? root.media.videoSink : null
    }
}
